# Generated from gitlink-0.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gitlink

Name: rubygem-%{gem_name}
Version: 0.0.5
Release: 1%{?dist}
Summary: Open GitHub projects from the command line
License: MIT
URL: https://github.com/cacqw7/gitlink
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(aruba) >= 0.12.0
# BuildRequires: rubygem(aruba) < 0.13
BuildArch: noarch

%description
Open GitHub projects from the command line.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/gitlink
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/gitlink.gemspec
%doc %{gem_instdir}/gitlink.rdoc
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.5-1
- Initial package
